$ErrorActionPreference = 'Stop'

function CreateShortcut {
    param([String] $Path)

    $shortcutArgs = @{
        shortcutFilePath = "$Path\Jellyfin.lnk"
        targetPath       = 'http://localhost:8096'
        iconLocation     = "$ENV:ProgramFiles\Jellyfin\Server\jellyfin-web\favicon.ico"
    }

    Install-ChocolateyShortcut @shortcutArgs
}

$v = ${ENV:ChocolateyPackageVersion}

$packageArgs = @{
    packageName    = 'jellyfin'
    fileType       = 'EXE'
    url64bit       = "https://repo.jellyfin.org/releases/server/windows/versions/stable/installer/${v}/jellyfin_${v}_windows-x64.exe"
    checksum64     = '7b93be754b10a219856c1d395b5dad6cdc34ba198aae2d36e00e019c0bc9d8e0'
    checksumType64 = 'sha256'
    silentArgs     = '/S'
    validExitCodes = @(0,1)
    softwareName   = 'Jellyfin Server*'
}
 
Install-ChocolateyPackage @packageArgs

CreateShortcut -Path "$ENV:Public\Desktop"
CreateShortcut -Path "$ENV:ProgramData\Microsoft\Windows\Start Menu\Programs"
